<?php

echo '<h2>Statistiques par mois, sessions et périodes</h2>';

if($grappes_check==1) {
	echo '<p class="signal">Avertissement !</p><p class="maxwidth">Vous avez activé les inscriptions par ensembles ou grappes. Par conséquent, ces statistiques regroupent à la fois les statistiques à partir des inscriptions individuelles et par classes ou groupes.</p>';
}

// Définition des sessions selon l'académie
include('caloffsco.php');

if($acadexist=""||($acad_info['pays']=='fra'&&$acad_info['academie']=="")) {
	echo '<p>L\'accès à ces statistiques nécessite l\'indication d\'un pays pour l\'établissement,<br>et d\'une académie si l\'établissement est en France.<br>
		<a href="param.php?page=etab"><i class="fas fa-angle-double-right"></i> changer ces informations sur l\'établissement</a></p>';
}
else {
	include('freq_stats_form.php');

	echo '<h2>Du '.$affday1.' au '.$affday2.'</h2>';

	$year = $_POST['fullyear'];
	if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_periodes WHERE anneesco = '".$year."'"))==0) {
		echo '<p>Seules les statistiques par mois et de vacances à vacances sont disponibles.<br><a href="param.php?page=etab"><i class="fas fa-angle-double-right"></i> définir des périodes spécifiques (par trimestre, semestre...)</a></p>';
	}

	echo '<p>Fréquentation totale : ';

	$totalfreq = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' ".$filtre_activs."");
	$totalfreq_nb = mysqli_num_rows($totalfreq);
	if($grappes_check==1) {
		$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '0' ".$filtre_activs."");
		while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
			$totalfreq_nb += $elegrap['nombre'];
		}
	}
	if($totalfreq_nb==0) {
		echo 'Aucun élève pour cette équation';
	}
	else {
		echo $totalfreq_nb;
		echo ' élèves.</p>';
		
		//récupération des niveaux et couleurs par niveau
		include('freq_stats_nivcolors.php'); 

		echo '<form name="statscform" method="GET" action="">
		<input type="hidden" name="page" value="stats" />
		<input type="hidden" name="stat" value="periodes" />
		<div class="box"><select name="s" id="statschoix">';
			$stcode = array('zero','nbpermonth','nbpermonthperniv','nbpersession','nbpersessionperniv');
			$stname = array('--Choisir les statistiques--','Nombre de visites par mois','Nombre de visites par mois et par niveau','Nombre de visites par session','Nombre de visites par session et par niveau');
			if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_periodes WHERE anneesco = '".$year."'"))!=0) {
				array_push($stcode,'nbperperiode');
				array_push($stcode,'nbperperiodeperniv');
				array_push($stname,'Nombre de visites par période');
				array_push($stname,'Nombre de visites par période et par niveau');				
			}
			array_push($stcode,'all');
			array_push($stname,'Toutes ces statistiques (chargement long)');
			for($sno=0;$sno<count($stcode);$sno++) {
				echo '<option value="'.$stcode[$sno].'"';
				if(isset($_GET['s'])) {
					if($_GET['s']==$stcode[$sno]) {
						echo ' selected ';
					}
				}
				echo '>'.$stname[$sno].'</option>';
			}
			echo '</select></div> <input type="submit" class="bouton boutfreq" value="Choisir" />
		</form>';

		echo '</article><article id="artleft" class="freqsep">';
		include('stats/freq_stats_per_div.php');
	} 
}
?>