<?php
if(count($tabWeeks)<6) {
	
	?>
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbperdayperniv" class="charts" width="600" height="300"></canvas>
	</div>
	<script type="text/javascript">
	(async function() {
	    
	    Chart.register(ChartDataLabels);
	    const labels = <?php echo json_encode($tabDays); ?>;
	    const data = {
	      labels: labels,
	      datasets: [ 
			<?php $i=1;$j=1;
			foreach($tabDebniveau as $divdeb) { ?>
			{
				label: <?php echo json_encode($tabNiveau[$i-1]); ?>,
				data: <?php echo json_encode($tabDay[$i]); ?>,
				backgroundColor: '<?php echo $tabColor[$i] ?>',
				borderColor: '<?php echo $tabColor[$i] ?>',
				borderWidth: 1
			} <?php if($j<count($tabDebniveau)) { echo ','; } $i++; $j++;} ?> ]
	    };
	new Chart(
	    document.getElementById('chart_nbperdayperniv'),
	    {
	    type: 'bar',
	    data: data,
	    options: {
	        plugins: {
	            title: {
	                display: true,
	                text: 'Nombre de visites par jour (et par niveau)'
	            },
	            legend: {
	                display:true
	            },
	            datalabels: {
	              display: true, // Affiche les étiquettes de données
	              color: '#fff', // Couleur du texte
	              align: 'center', // Alignement horizontal
	              anchor: 'center', // Alignement vertical
	              font: {
	                weight: 'bold', // Style de police
	              },
	              display: function(context) {
                    return false; // Ne pas afficher les étiquettes de données
               	 },
	            },
	        },
	        responsive: true,
	        maintainAspectRatio: false,
	        scales: {
	            yAxes: [{
	                ticks: {
	                    beginAtZero:true
	                }
	            }]
	        },
	      }
	    }
	);
	})();
	</script>	
<?php } ?>